haskell-devscripts (0.16.17) unstable; urgency=medium

  * Team Upload.
  * Perform haddock recipe before build recipe (Closes: #1010739)

 -- Scott Talbert <swt@techie.net>  Mon, 23 May 2022 15:56:54 -0400

haskell-devscripts (0.16.16) unstable; urgency=medium

  * Team Upload.
  * Fix dh_haskell_depends (Closes: #1010832)

 -- Scott Talbert <swt@techie.net>  Tue, 17 May 2022 16:23:18 -0400

haskell-devscripts (0.16.15) unstable; urgency=medium

  * Team Upload.
  * Fix parsing of DEB_SETUP_GHC*_CONFIGURE_ARGS (Closes: #1010703)

 -- Scott Talbert <swt@techie.net>  Mon, 16 May 2022 23:07:58 -0400

haskell-devscripts (0.16.14) unstable; urgency=medium

  * Team Upload.

  [ Felix Lechner ]
  * Anchor dot regex; amends commit 7a92a0a0.

  [ Scott Talbert ]
  * Add missing export for DEB_ENABLE_TESTS (Closes: #1010179)
  * Fix GHC package directory registration (Closes: #1009883)

 -- Scott Talbert <swt@techie.net>  Wed, 27 Apr 2022 11:04:45 -0400

haskell-devscripts (0.16.13) unstable; urgency=medium

  * Drop dot placeholders for empty lines in (X-)Description.
    (Closes: #1009997)
  * Prevent reading of package .ghci files when finding OS or architecture.
    (Closes: #845368)

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 24 Apr 2022 00:00:04 -0700

haskell-devscripts (0.16.12) unstable; urgency=medium

  * Add missing Perl imports for Unicode::UTF8, (Closes: #1009873)
  * Handle GHC package registrations that are folders. (Closes: #1009883)
  * Expand DEB_SETUP_GHC_CONFIGURE_ARGS properly. (Closes: #1009925)
  * Obtain first match directly from regexes, automatically without
    the /g modifier.

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 21 Apr 2022 15:37:46 -0700

haskell-devscripts (0.16.11) unstable; urgency=medium

  * Break Debhelper scripts into smaller pieces; use Dh_Lib.
  * Install package files via small Debhelper scripts instead of
    centralized recipe.
  * Remove references to obsolete version of self; old-old-stable
    has 0.13.3 already.
  * Revert "Use d/tmp as a uniform intermediate location; multiple compilers
    are not supported, anyway."
    - Did not work for pandoc (or dh_install, rather):
    - This reverts commit d6321a34a1a39c35670df9bfb0a0ea3084aeb094.
  * Set the link with debian/tmp the other way around.

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 15 Apr 2022 19:00:55 -0700

haskell-devscripts (0.16.10) unstable; urgency=medium

  * Allow building documentation even when HTML anchors for files cannot
    be resolved.
  * Suppress from logs all URLs found in documentation; too noisy.
  * Use d/tmp as a uniform intermediate location; provide compatibility
    links for sources with custom rules.
  * Simplify and rationalize Perl recipes; use environmental variables at
    higher levels.
  * Do not install automatic Lintian overrides; will use Lintian's screens
    instead.

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 13 Apr 2022 17:39:23 -0700

haskell-devscripts (0.16.9) unstable; urgency=medium

  * Assume ghc is the default compiler when dh_haskell_provides is called
    in ghc builds.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 11 Apr 2022 22:40:21 -0700

haskell-devscripts (0.16.8) unstable; urgency=medium

  * Fix install locations for generalized temporary destination forders.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 11 Apr 2022 13:30:35 -0700

haskell-devscripts (0.16.7) unstable; urgency=medium

  * Call install_recipe via Perl hook; encode_utf8 was incorrect for the
    path, anyway.
  * Try Description field in Source section before X-Description in d/control.
    (See: #1009162)

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 11 Apr 2022 10:06:57 -0700

haskell-devscripts (0.16.6) unstable; urgency=medium

  * Date::Time is in libtimedate-perl and not in libdatetime-perl; require
    the former instead. (Fixes FTBFS on reproducible builds.)
  * Find the correct Debian installables for profiling libraries (an
    undocumented bug).
  * Restrict Perl API to routines actually called from elsewhere.
  * Drop unused Perl routines.
  * Combine the different installation procedures into one install_recipe.
  * Refuse to run dh_haskell_blurbs unless a default compiler appeared on
    the command line.
  * Move a 'clean' command closer to that directory's point of creation
    and use.
  * Behave better when called on non-library packages (from Debhelper).
  * DEB_PACKAGES does not seem to be available in Debhelper; call
    dh_listpackages instead.
  * Rename and refactor the calculation of Debian prerequisites.
  * Use array return types in Perl when appropriate.
  * Print output from run() only if there is any.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 11 Apr 2022 05:44:26 -0700

haskell-devscripts (0.16.5) unstable; urgency=medium

  * Add libdevel-confess-perl to the runtime prerequisites.

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 08 Apr 2022 17:59:15 -0700

haskell-devscripts (0.16.4) unstable; urgency=medium

  * Rewrite dh_* helpers in Perl; relicense under GPL-3+.
  * Integrate dh_haskell_extra_depends into dh_haskell_depends.
  * Prefer Perl module for some calls in the CDBS module hlibrary.mk.
  * Restrict the functionality of the shell library to uses actually found
    in the archive.
  * Combine a few build targets in hlibrary.mk.
  * Move CDBS-specific commands from the build recipes to the CDBS module
    hlibrary.mk.
  * Use the new Lintian tag name custom-library-search-path for overrides
    instead of the renamed binary-or-shlib-defines-rpath.
  * Employ more wildcards in the *.install specification for Debhelper.
  * Rely on a consistent locale for sorting (C.UTF-8).

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 08 Apr 2022 15:52:45 -0700

haskell-devscripts (0.16.3) unstable; urgency=medium

  * Outsource everything in Dh_Haskell.sh to a Perl module. (Closes: #842549)
  * Use dh sequencer in d/rules.
  * Bump Debhelper compat level to 13.
  * Bump Standards-Version to 4.6.0.
  * Alter package description to avoid Lintian warning (for being the same).
  * Add Felix Lechner to Uploaders.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 04 Apr 2022 12:15:02 -0700

haskell-devscripts (0.16.2) unstable; urgency=medium

  * Team Upload
  * Support capitalization of keywords on ${CABAL_PACKAGE}.cabal

 -- Samuel Henrique <samueloph@debian.org>  Sun, 14 Nov 2021 15:34:35 +0000

haskell-devscripts (0.16.1) unstable; urgency=medium

  * Use `command -v` instead of `which`.

 -- Clint Adams <clint@debian.org>  Mon, 20 Sep 2021 15:54:52 -0400

haskell-devscripts (0.16.0) unstable; urgency=medium

  * Support Haskell packages without a Setup.hs file

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 20 Jun 2020 13:17:44 +0300

haskell-devscripts (0.15.3) unstable; urgency=medium

  * Fix bug in install_doc_recipe() which wrongly assumed that
    ${CABAL_PACKAGE}.txt was the only txt file generated by haddock
    (Closes: #952617).

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 26 Feb 2020 20:38:16 +0200

haskell-devscripts (0.15.2) unstable; urgency=medium

  * Ensure build fails when dh_haskell_{depends,provides} fail
  * Pass --unit-id flag to ghc-pkg
  * Use ghc-pkg to parse package conf files, instead of grep-dctrl
  * Use the debhelper-compat build-dependency and remove d/compat
  * Remove Dmitry Bogatov from Uploaders per his request.
    Thank you Dmitry for your previous maintainership.
  * Bump Standards-Version to 4.5.0
  * Set Rules-Requires-Root to no
  * Modify d/copyright to use HTTPS
  * Include the /usr/share/dpkg/pkg-info.mk Makefile library instead of
    computing DEB_VERSION using dpkg-parsechangelog.

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 24 Feb 2020 17:54:51 +0200

haskell-devscripts (0.15.1) unstable; urgency=medium

  * Patch from Chris Lamb to explicitly set UTC for 1975 hack.
    closes: #933834.

 -- Clint Adams <clint@debian.org>  Sun, 04 Aug 2019 09:15:16 -0400

haskell-devscripts (0.15.0) unstable; urgency=medium

  * Work around old timestamps in new Hackage tarballs.

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 11:56:27 -0400

haskell-devscripts (0.14.0) unstable; urgency=medium

  * Bump compat level
  * Silence GHC 8.4's "ignoring (possibly broken) abi-depends..." warning

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 05 Oct 2018 14:32:06 +0300

haskell-devscripts (0.13.8) unstable; urgency=medium

  * Disable wordwrap on setup register output to cope with
    long filenames like data-default-instances-containers-0.0.1.conf.

 -- Clint Adams <clint@debian.org>  Thu, 12 Apr 2018 12:14:18 -0400

haskell-devscripts (0.13.7) unstable; urgency=medium

  * Use C.UTF-8 for setup register output.

 -- Clint Adams <clint@debian.org>  Wed, 11 Apr 2018 22:10:37 -0400

haskell-devscripts (0.13.6) unstable; urgency=medium

  * Switch to register --verbose=2 to ensure necessary output.

 -- Clint Adams <clint@debian.org>  Wed, 11 Apr 2018 08:28:11 -0400

haskell-devscripts (0.13.5) unstable; urgency=medium

  * Team upload.
  * Priority extra->optional ('extra' deprecated).
  * Override binary-package-depends-on-toolchain-package.
  * Partially update Uploaders: field (Closes: #886804).
  * Point Vcs-* at salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 10 Apr 2018 11:05:55 -0700

haskell-devscripts (0.13.4) unstable; urgency=medium

  * Cope with Cabal 2.0 gen-pkg-config output change.

 -- Clint Adams <clint@debian.org>  Tue, 10 Apr 2018 07:43:36 -0400

haskell-devscripts (0.13.3) unstable; urgency=medium

  * Patch from Chris Lamb to sort haskell:Recommends substvar.
    closes: #842708.

 -- Clint Adams <clint@debian.org>  Mon, 31 Oct 2016 19:43:28 -0400

haskell-devscripts (0.13.2) unstable; urgency=medium

  * Move versioned ghc dependency to -minimal to break
    dependency loop for ghc.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 22:12:23 -0400

haskell-devscripts (0.13.1) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:45:08 -0400

haskell-devscripts (0.13) experimental; urgency=medium

  * Pass `--mathjax` option to haddock
    Starting from version 2.17.0, haddock supports typesetting of mathematical
    expressions via Mathjax. Pass the `--mathjax` option to haddock to
    instruct it to use the Debian provided JS library, instead of pointing to
    the CDN. As a result, every *-doc package now recommends libjs-mathjax.
  * Bump ghc dependency to 8.0.1
  * Disable automatic generation of debug symbol packages
    GHC cannot produce debugging symbols, so the dbgsym package ends
    up being empty.
  * Bump debhelper dependency to 9.20151219
    We need a newer version of dh_strip in order to pass the
    `--no-automatic-dbgsym` option.
  * Convert d/copyright to DEP-5 format

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Fri, 21 Oct 2016 12:44:44 +0300

haskell-devscripts (0.12) unstable; urgency=medium

  [ Sean Whitton ]
  * Revert my duplicate fix for #826501.
    James McCoy's fix was sufficient.
  * Retroactively remove duplicate entry regarding fix for #826501 from
    changelog for version 0.11.0.

  [ Clint Adams ]
  * Do not exclude libHS files from dh_shlibdeps.  closes: #834156.

 -- Clint Adams <clint@debian.org>  Mon, 05 Sep 2016 13:51:30 -0400

haskell-devscripts (0.11.1) experimental; urgency=high

  * Corrected wrong syntax for provides packages.

 -- Sven Bartscher <kritzefitz@debian.org>  Wed, 20 Jul 2016 15:14:12 +0200

haskell-devscripts (0.11.0) experimental; urgency=medium

  [ James McCoy ]
  * Fix “Unescaped left brace in regex” warnings in dh_haskell_blurbs.
    (Closes: #826501)

  [ Sean Whitton ]
  * Respect user's debian/libghc-*-doc.links.  (Closes: #823689)
    Create the link ourselves rather than just overwriting
    debian/libghc-*-doc.links.
  * Use secure Vcs-* URIs.

  [ Sven Bartscher ]
  * Use ghc-pkg to determine tha package ABI instead of parsing package
    IDs, but still fall back to parsing if GHC is older than version 8.
  * Split into haskell-devscripts and haskell-devscripts-minimal. The
    latter is more convenient for bootstrapping a new architecture as it
    doesn't depend on hscolour.
  * Conformance with Debian Policy 3.9.8.

 -- Sven Bartscher <kritzefitz@debian.org>  Tue, 19 Jul 2016 19:20:22 +0200

haskell-devscripts (0.10.2.3) unstable; urgency=medium

  * Pass -a to more invocations of grep

 -- Joachim Breitner <nomeata@debian.org>  Tue, 23 Feb 2016 00:16:33 +0100

haskell-devscripts (0.10.2.2) unstable; urgency=medium

  * Set libexecdir to /usr/lib by default for FHS compliance

 -- Sven Bartscher <sven.bartscher@weltraumschlangen.de>  Fri, 08 Jan 2016 14:03:44 +0100

haskell-devscripts (0.10.2.1) unstable; urgency=medium

  * Upload to unstable.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 17:54:35 -0500

haskell-devscripts (0.10.2) experimental; urgency=medium

  * Use ./Setup test --show-details=direct,
    and depend on the corresponding GHC version.

 -- Joachim Breitner <nomeata@debian.org>  Thu, 05 Nov 2015 12:40:56 +0100

haskell-devscripts (0.10.1) experimental; urgency=medium

  * Don't print a warning if there are no -doc package Recommends
    (Closes: #803684), thanks to Chris Lamb for the patch.
  * Run haddock more verbosely. Closes: #803685. Thanks to Chris Lamb for the
    patch.
  * Abort if haddock fails. Closes: #803687. Thanks to – you guessed it –
    Chris Lamb for the patch.
  * Create a more valid C file as probe.c

 -- Joachim Breitner <nomeata@debian.org>  Mon, 02 Nov 2015 19:16:14 +0100

haskell-devscripts (0.10) experimental; urgency=medium

  * Depend on ghc (>= 7.10), in preparation for the Stackage 3.0 transition.

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 09:51:12 +0200

haskell-devscripts (0.9.12) experimental; urgency=medium

  * Compile Setup.hs with -threaded, to unbreak testsuites on GHC 7.10
    See https://github.com/haskell/cabal/issues/2398

 -- Joachim Breitner <nomeata@debian.org>  Sun, 16 Aug 2015 20:11:41 +0200

haskell-devscripts (0.9.11) unstable; urgency=medium

  [ Chris Lamb ]
  * make grep immune to locale chages (Closes: 793944)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 29 Jul 2015 11:46:27 +0200

haskell-devscripts (0.9.10) unstable; urgency=medium

  * Dh_Haskell.sh: Always run sort in LC_ALL=C, to make sure it builds
    reproducible in different envionments.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Jun 2015 19:39:28 +0200

haskell-devscripts (0.9.9) unstable; urgency=medium

  * Dh_Haskell.sh: Alwasy run sort in LANG=C, to make sure it builds
    reproducible in different envionments.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Jun 2015 19:15:58 +0200

haskell-devscripts (0.9.8) unstable; urgency=medium

  [ Iustin Pop ]
  * Fix bug in extra-packages handling

  [ Joachim Breitner ]
  * Fix GHC_HAS_INTERPRETER and GHC_HAS_SMP logic

 -- Joachim Breitner <nomeata@debian.org>  Sat, 06 Jun 2015 21:44:40 +0200

haskell-devscripts (0.9.7) unstable; urgency=medium

  * Move the VCS for this package to git
  * Provide GHC_HAS_INTERPRETER and GHC_HAS_SMP make variables.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 06 Jun 2015 20:56:31 +0200

haskell-devscripts (0.9.6) unstable; urgency=medium

  * Do not send diagnostic output to stdout; use stderr

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:34:15 +0200

haskell-devscripts (0.9.5) unstable; urgency=medium

  * Typo in Dh_Haskell, breaks building pandoc

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 16:27:14 +0200

haskell-devscripts (0.9.4) unstable; urgency=medium

  * Pass variables from the Makefile to the Dh_Haskell in environment
    variables; safer when they contain spaces or quotes.
  * Ensure quotes in variables are correctly handled in Dh_Haskell
  * Print commands as they are executed in Dh_Haskell, with correct quoting.
    this requires everything to be run by bash, and no /bin/sh.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 09:44:00 +0200

haskell-devscripts (0.9.3) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Fix hardening-no-relro lintian warning
  * Do not truncate existing lintian overrides file

  [ Joachim Breitner ]
  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:39:31 +0200

haskell-devscripts (0.9.2) experimental; urgency=medium

  * Use a different path to store the extra-packages files, independent of
    Cabal's file scheme.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Dec 2014 19:44:37 +0100

haskell-devscripts (0.9.1) experimental; urgency=medium

  * Move binary-or-shlib-defines-rpath override to the right target.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Dec 2014 12:02:14 +0100

haskell-devscripts (0.9) experimental; urgency=medium

  * Pass -XlibHS to dh_shlibdeps
  * Depend on ghc 7.8, so that depending on haskell-devscripts (>= 0.9)
    ensures a package is built against the GHC packages in experimental
  * Add a binary-or-shlib-defines-rpath lintial override to libghc-*-dev

 -- Joachim Breitner <nomeata@debian.org>  Sat, 22 Nov 2014 14:13:01 +0100

haskell-devscripts (0.8.21) unstable; urgency=medium

  * Install hoogle .txt files to DEB_HOOGLE_TXT_DIR with a filename derived
    from the Debian package name, and not the Cabal name. This avoid problems
    when packaging a library also shipped by GHC (such as Cabal).
  * When calculating Recommends from links in documentation, handle file://
    links as well.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 09 Jun 2014 11:59:03 +0200

haskell-devscripts (0.8.20.0) unstable; urgency=medium

  * Added ghc-version substvar
  * Bump standards version, no change

 -- Sven Bartscher <sven.bartscher@weltraumschlangen.de>  Wed, 28 May 2014 23:23:49 +0200

haskell-devscripts (0.8.19.7) unstable; urgency=medium

  * Pass --show-details=always to test suite

 -- Joachim Breitner <nomeata@debian.org>  Wed, 14 May 2014 09:34:49 +0200

haskell-devscripts (0.8.19.6) unstable; urgency=medium

  * Use a configure-ghc-stamp (Closes: #747924)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 13 May 2014 23:37:06 +0200

haskell-devscripts (0.8.19.5) unstable; urgency=medium

  * dh_haskell_shlibdeps: Get -L flags from the library-dirs field.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 16 Mar 2014 15:19:40 +0100

haskell-devscripts (0.8.19.4) unstable; urgency=medium

  * Simplify dh_haskell_shlibdeps
    Instead of building a haskell program and running dpkg-shlibdeps (which
    picks up shared library dependencies of dependencies of this module)
    instead parse the ghc-pkg information of this package and use the
    information from the "extra-libraries" field. Then build a probe
    C program linking against these libraries and run dpkg-shlibdeps on them.
    (This also removes special handling of libffi and libgmp, and makes it
    compatible with ghc-7.8.)
  * Prevent dh_shlibdeps to look at libHS* libraries.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 09 Feb 2014 20:45:53 +0000

haskell-devscripts (0.8.19.3) unstable; urgency=medium

  * Run dh_haskell_blurbs on all packages (Closes: #721461)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 09 Feb 2014 12:48:39 +0000

haskell-devscripts (0.8.19.2) unstable; urgency=medium

  * Remove the final newline from haskell:LongDescription, now that
    http://bugs.debian.org/680871 is fixed.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 10 Dec 2013 22:56:06 +0000

haskell-devscripts (0.8.19.1) unstable; urgency=low

  * add an encoding declaration in dh_haskell_shlibdeps.pod (Closes: #723882)

 -- Louis Bettens <louis@bettens.info>  Fri, 20 Sep 2013 22:33:19 +0200

haskell-devscripts (0.8.19) unstable; urgency=low

  * Fix /usr/share/ subdirectory

 -- Louis Bettens <louis@bettens.info>  Tue, 30 Jul 2013 08:48:41 +0200

haskell-devscripts (0.8.18) unstable; urgency=low

  * Ensure that debian/rules binary works. (Closes: #717442)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Jul 2013 19:27:10 +0200

haskell-devscripts (0.8.17) unstable; urgency=low

  * Allow a package to disable the installation of the hoogle file (prepares
    the fix for #709771)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 26 May 2013 10:37:57 +0200

haskell-devscripts (0.8.16) unstable; urgency=low

  * Remove some unnecssary build-depends version constraints (found by cme)
  * Avoid adding dependencies on libffi and libgmp to libghc-*-foo (Closes:
    639015)
  * Bump compat level
  * Add build-arch and build-indep targets

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 11:16:32 +0200

haskell-devscripts (0.8.15) experimental; urgency=low

  * dh_haskell_blurbs added, provides substitution variables for the common
    package description blurbs, and also for reading the package description
    from the Source’s Description field.
    Until http://bugs.debian.org/680871 is fixed this does not work well for
    packages with multiple paragraphs in their description.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 17 May 2013 21:51:33 +0200

haskell-devscripts (0.8.14) experimental; urgency=low

  * Explicitly mention which Prelude to use in dh_haskell_shlibdeps, thanks to
    Clifford Beshers for the patch.
  * Use cdbsn' $(DEB_PACKAGES) instead of parsing debian/control to see if
    profiling is desired.
  * Support installing Cabal-built binaries: Put the name of the binary in
    debian/pkg.haskell-binaries to ship the binary in that package
  * Add GHC-Package field to the Packages file

 -- Joachim Breitner <nomeata@debian.org>  Sat, 11 May 2013 14:24:37 +0200

haskell-devscripts (0.8.13) experimental; urgency=low

  [ Joachim Breitner ]
  * Improve parsing of "Setup register" output, patch by David Fox
  * Enable creation of hoogle files, thanks to Kiwamu Okabe for the
    suggestion.

  [ Kiwamu Okabe ]
  * Need --html option to fix bug that --hoogle option don't output html file.
  * Support to create /usr/lib/ghc-doc/hoogle/*.txt for hoogle package.

  [ Joachim Breitner ]
  * Symlink hoogle’s txt files to /usr/lib/ghc-doc/hoogle/
  * Bump ghc dependency to 7.6
  * Bump standards version

 -- Joachim Breitner <nomeata@debian.org>  Mon, 08 Oct 2012 21:14:50 +0200

haskell-devscripts (0.8.12) unstable; urgency=low

  * Depend on ghc >= 7.4, adjusting to its haddock --interface-version
    behaviour.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 04 Feb 2012 10:50:33 +0100

haskell-devscripts (0.8.11) unstable; urgency=low

  * Conflict with ghc >= 7.4; as haddock --interface-name behaves differently
    then. A new haskell-devscripts upload will happen when ghc-7.4 enters
    unstable.

 -- Joachim Breitner <nomeata@debian.org>  Thu, 05 Jan 2012 13:28:23 +0100

haskell-devscripts (0.8.10) unstable; urgency=low

  * Run Cabal-defined testsuites, if DEB_ENABLE_TESTS = yes is set in
    debian/rules.

 -- Joachim Breitner <nomeata@debian.org>  Wed, 04 Jan 2012 20:13:14 +0100

haskell-devscripts (0.8.9) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Make -doc packages recommend -dev instead of suggesting. It's likely that
    people installing documentation want the library too. (Closes: #635754)
  * Fix the header and footer in manpages (Haskell is quite the opposite
    of Perl!).
  * Write a manpage for dh_haskell_extra_depends and improve dh_haskell_depends.
    Some other work is to be done.

  [ Joachim Breitner ]
  * Depend on dh-buildinfo. This stores a file in /usr/share/*/doc listing the
    version of all the build dependencies, and might be handy some time if we
    need to recompile stuff.
  * Pass --ghc-option=-DDEBIAN_NO_GHCI to configure if ghc does not support
    ghci, to allow packages to selectively disable features (e.g. TH,
    annotations) then.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 04 Sep 2011 19:30:50 +0200

haskell-devscripts (0.8.8) unstable; urgency=low

  * Team upload.
  * Added support to track data packages.

 -- Giovanni Mascellani <gio@debian.org>  Thu, 28 Jul 2011 14:30:59 +0200

haskell-devscripts (0.8.7) unstable; urgency=low

  * Also install package.conf in version-agnostic path

 -- Joachim Breitner <nomeata@debian.org>  Mon, 11 Jul 2011 13:13:31 +0200

haskell-devscripts (0.8.6) unstable; urgency=low

  * Install .haddock files in version-agnostic path

 -- Joachim Breitner <nomeata@debian.org>  Sun, 19 Jun 2011 12:59:50 +0200

haskell-devscripts (0.8.5) unstable; urgency=low

  * s/GHC6/GHC in GHC_VERSION, BUILD_GHC, DEB_SETUP_GHC_CONFIGURE_ARGS, but
    provide/use the “other” variable too, to avoid breaking existing packages.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 04 Jun 2011 22:24:13 +0200

haskell-devscripts (0.8.4) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * hlibrary.mk: Include .hs in DEB_COMPRESS_EXCLUDE

  [ Joachim Breitner ]
  * Call ghc-pkg, not ghc-pkg6 (patch by David Fox)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 19 Apr 2011 10:24:32 +0530

haskell-devscripts (0.8.3) unstable; urgency=low

  * Set HOME to some (non-existant) path in hlibrary.mk. Some buildds have
    this variable not set, causing builds to fail.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 28 Mar 2011 00:31:11 +0530

haskell-devscripts (0.8.2) unstable; urgency=low

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Sat, 26 Mar 2011 21:44:29 +0530

haskell-devscripts (0.8.1) experimental; urgency=low

  * Add dependency on virtual haddock interface package to -doc packages

 -- Joachim Breitner <nomeata@debian.org>  Sat, 26 Mar 2011 21:44:04 +0530

haskell-devscripts (0.8) experimental; urgency=low

  [ Marco Silva ]
  * Fix ".haddock file in -dev creates broken symlinks in
    /usr/share/doc/ghc6-doc/html/libraries/index.html" by moving .haddock
    file to -doc package. (Closes: #586723)
  * Update Uploader name.
  * debian/copyright: Update name.
  * Use ghc instead of ghc6
  * debian/control: Remove xutils-dev, since lndir is not being used
    anymore.
  * Update package name from haddock to ghc-haddock.

  [ Joachim Breitner ]
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Mar 2011 10:31:07 +0530

haskell-devscripts (0.7.12) unstable; urgency=low

  * Send error messages to stdout

 -- Joachim Breitner <nomeata@debian.org>  Tue, 06 Jul 2010 11:48:53 +0200

haskell-devscripts (0.7.11) unstable; urgency=low

  * Better error checking when figuring out providing package, should help
    debug or even fix bug #588001.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 06 Jul 2010 11:18:09 +0200

haskell-devscripts (0.7.10) unstable; urgency=low

  [ Joachim Breitner ]
  * dh_haskell_shlibdeps: Mangle paths in package descriptions more
    selectively

  [ Marco Túlio Gontijo e Silva ]
  * Dh_Haskell.sh: ghc_pkg_field.
  * dh_haskell_depends: Ignore comments in debian/control.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 08 Jun 2010 19:28:42 -0300

haskell-devscripts (0.7.9) unstable; urgency=low

  * dh_haskell_depends: Only include packages in substvars if they exist
    in debian/control.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Thu, 22 Apr 2010 15:43:50 -0300

haskell-devscripts (0.7.8) unstable; urgency=low

  * Parse cabal files more liberaly in hlibrary.mk
  * Wrong see also in dh_haskell_provides (Closes: #576504)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 12 Apr 2010 10:15:04 +0200

haskell-devscripts (0.7.7) unstable; urgency=low

  * Fix "Haskell cleanup fails if optional hlibrary.setup is missing"
    changing the way the shell conditional is done.  Thanks to Jonas
    Smedegaard <dr@jones.dk>. (Closes: #576447)

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Sun, 04 Apr 2010 22:36:51 -0300

haskell-devscripts (0.7.6) unstable; urgency=low

  * Remove Dh_Haskell.pm.
  * source/format: Use 3.0 (native).
  * Fix "GREP_OPTIONS breaks build" cleaning GREP_OPTIONS in hlibrary.mk
    (Closes: #573925)
  * Move DEB_BUILD_DEPENDENCIES = build-arch to hlibrary.mk, instead of
    all packages debian/rules.
  * Fix "hlibrary.mk should do cleanup" by including Setup clean in the
    clean:: target of hlibrary.mk.  (Closes: #575128)

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 30 Mar 2010 21:06:16 -0300

haskell-devscripts (0.7.5) unstable; urgency=low

  * hlibrary.mk: Create HASKELL_HIDE_PACKAGES variable, to make it
    possible to create packages hidden by default.
  * hlibrary.mk: Include package.conf file in md5sums, since it doesn't
    change.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 09 Mar 2010 21:37:30 -0300

haskell-devscripts (0.7.4) unstable; urgency=low

  * Prevent building of packages with ghc6 << 6.12.1-10

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 00:05:19 +0100

haskell-devscripts (0.7.3) unstable; urgency=low

  * Priority extra
  * Fix dh_haskell_provides with packages with a dash in the cabal name
  * dh_haskell_* looks at files given  on the command line _or_ at the
    expected place

 -- Joachim Breitner <nomeata@debian.org>  Wed, 17 Feb 2010 16:27:45 +0100

haskell-devscripts (0.7.2) unstable; urgency=low

  * Dh_Haskell.sh: Remove unused variable.
  * Dh_Haskell.sh: Remove packages without hash-id from the list.
  * Dh_Haskell.sh: Treat haskell-package dependencies that doesn't need
    a Debian-package.
  * debian/control: Update Uploader e-mail.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Fri, 12 Feb 2010 14:02:38 -0200

haskell-devscripts (0.7.1) unstable; urgency=low

  * Remove package config from source tree root
  * Bump standards version

 -- Joachim Breitner <nomeata@debian.org>  Fri, 12 Feb 2010 11:47:53 +0100

haskell-devscripts (0.7) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Add haddock and hscolour as Dependencies:.

 -- Joachim Breitner <nomeata@debian.org>  Wed, 10 Feb 2010 12:39:56 +0100

haskell-devscripts (0.6.19) experimental; urgency=low

  [ Kari Pahula ]
  * Install Haddock files to /usr/lib/ghc-$VER/haddock/$PKG-$VER
  * Use --builddir Cabal option instead of shuffling dist/ dirs around
  * Remove postinst/prerm scripts
  * Put package.conf into package.conf.d

  [ Joachim Breitner ]
  * Remove dh_haskell_prep, not needed any more (Closes: #516414)
  * Create dh_haskell_provides, to create a ${haskell:Provides} substvar
    containing a string derived from the cabal package name, version and ABI
    hash.
  * Depend on the virtual package names provided by dh_haskell_provides, if
    dpkg knows about them. (Closes: #518308, #507912)
  * Bump ghc6 dependency to (>= 6.12)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 28 Jan 2010 22:45:23 +0100

haskell-devscripts (0.6.18) unstable; urgency=low

  * dh_haskell_prep: Allow spaces before : in cabal fields.

 -- Marco Túlio Gontijo e Silva <marcot@riseup.net>  Mon, 09 Nov 2009 14:44:32 -0200

haskell-devscripts (0.6.17) unstable; urgency=low

  * hlibrary.mk: Allow spaces before : in cabal fields.
  * Remove unsuported packaging scripts, leaving only the standard
    hlibrary.mk.  Closes: #520703, #543776.

 -- Marco Túlio Gontijo e Silva <marcot@riseup.net>  Sun, 08 Nov 2009 16:55:31 -0200

haskell-devscripts (0.6.16) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * Change Marco Túlio's e-mail.
  * dh_haskell_depends: Create empty haskell: variables.
  * dh_haskell_shlibdeps: Change license.
  * debian/control: Use Debian Haskell Group as Maintainer.
  * debian/control: Update Vcs-Darcs to Debian Haskell Group darcs.
  * debian/control: Use new Standards-Version.
  * debian/control: Use DM-Upload-Allowed.
  * debian/control: Use one line per package in Depends.

  [ Joachim Breitner ]
  * Refer to GPL-2 in John’s copyright statement, with his permission

 -- Joachim Breitner <nomeata@debian.org>  Sun, 04 Oct 2009 10:43:54 +0200

haskell-devscripts (0.6.15+nmu13) unstable; urgency=low

  * NMU.
  * hlibrary.mk: install .haddock files in -dev package, not -doc.
  * hlibrary.mk: Build documentation in build-haddock-stamp target. Add it
    as a prerequisite for build/*-dev target.
  * hlibrary.mk: copy relevant data from Cabal database from -dev to -doc
    package, for ghc6-doc's trigger.

 -- Kari Pahula <kaol@debian.org>  Wed, 22 Jul 2009 15:50:29 +0300

haskell-devscripts (0.6.15+nmu12) unstable; urgency=low

  * Non-maintainer upload.
  * prerm-ghc: Use ghc-pkg --no-user-package-conf unregister in prerm.
    Closes: #535967.
  * Fix "support for DEB_BUILD_OPTIONS=parallel=n broken"
    dh_haskell_build: Remove support for parallel=n. (Closes: #536589)

 -- Marco Túlio Gontijo e Silva <marcot@riseup.net>  Mon, 13 Jul 2009 08:53:41 -0300

haskell-devscripts (0.6.15+nmu11) unstable; urgency=low

  [Marco Túlio Gontijo e Silva]
  * Non-maintainer upload.
  * Create haskell:Recommends and haskell:Suggests.
  * dh_haskell_prep: Don't create haskell:Depends for documentation
    packages. Closes: #532381.
  * hlibrary.mk: Use --make instead of -package Cabal to build Setup.hs.
  * dh_haskell_depends: Includes -dev package in -prof Depends.
  * dh_haskell.pod: Recommend using CDBS and hlibrary.mk.
  * debian/control: Use Section: haskell.

  [Joachim Breitner]
  * debian/control: add ${perl:Depends}

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Fri, 05 Jun 2009 14:38:59 -0300

haskell-devscripts (0.6.15+nmu10) unstable; urgency=low

  * Non-maintainer upload.
  * dh_haskell_shlibdeps:
    - Create empty package.conf before calling ghc-pkg.  Thanks to Jeremy
      Shaw <jeremy@n-heptane.com>.  Closes: #526998.
    - Use the same package.conf for all binary
      packages from the same source.  This allow a package with multiple
      binaries with internal dependencies to use dh_haskell_shlibdeps.
    - Treat correctly the names of libraries with dash.
  * debian/changelog: Correct the wrong bug number in the changelog for
    0.6.15+nmu9.

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Thu, 30 Apr 2009 10:27:13 -0300

haskell-devscripts (0.6.15+nmu9) unstable; urgency=low
  * Non-maintainer upload.
  * dh_haskell_shlibdeps: Treat correctly the names of libraries with
    dash.  Thanks to TANIGUCHI Takaki <takaki@asis.media-as.org>.
    Closes: #524143, #525568.

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Tue, 28 Apr 2009 18:38:26 -0300

haskell-devscripts (0.6.15+nmu8) unstable; urgency=low

  * Non-maintainer upload.
  * Create dh_haskell_shlibdeps.
  * Create Dh_Haskell.sh with common parts of dh_haskell_depends and
    dh_haskell_shlibdeps.
  * Documentation for how to use dh_haskell_depends and shlibdeps.
  * dh_haskell_depends.pod: Correct missing reference to dh_haskell_prep.
  * debian/control: Bump Standards-Version to 3.8.0. No changes needed.
  * debian/compat: updated to 7, since it requires dh script.

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Mon, 23 Mar 2009 09:49:37 -0300

haskell-devscripts (0.6.15+nmu7) unstable; urgency=low

  * Non-maintainer upload.
  * Added a configurable DEB_CABAL_PACKAGE variable to hlibrary.mk.

 -- Kari Pahula <kaol@debian.org>  Fri, 13 Mar 2009 12:46:14 +0200

haskell-devscripts (0.6.15+nmu6) unstable; urgency=low

  * Non-maintainer upload.
  * Disabled parallel builds in hlibrary.mk.

 -- Kari Pahula <kaol@debian.org>  Fri, 27 Feb 2009 09:50:47 +0200

haskell-devscripts (0.6.15+nmu5) unstable; urgency=low

  * Non-maintainer upload.
  * Prepend a line in hlibrary.mk with a tab, not 8 spaces. (Closes: #517028)
  * Treat .haddock files as arch independent files again.

 -- Kari Pahula <kaol@debian.org>  Wed, 25 Feb 2009 14:21:28 +0200

haskell-devscripts (0.6.15+nmu4) unstable; urgency=low

  * Non-maintainer upload.
  * Support DEB_BUILD_OPTIONS noopt.  Conforming to Debian Policy 4.9.1.
  * Support DEB_BUILD_OPTIONS parallel=n.  Conforming to Debian Policy
    4.9.1.
  * hlibrary.mk: New version.
  * postinst-ghc: Use update instead of register.  Thanks to Clifford
    Beshers <clifford.beshers@gmail.com>.
  * prerm-ghc:
    - Don't unregister in upgrade.  Thanks to Joachim Breitner
    <nomeata@debian.org>.
    - Don't try to remove .o files.  Thanks to Joachim Breitner
    <nomeata@debian.org>.
  * debian/control: Depends on cdbs.

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Tue, 24 Feb 2009 14:42:11 -0300

haskell-devscripts (0.6.15+nmu3) unstable; urgency=low

  * Update hlibrary.mk to latest version from kaol
    + Install .haddock to /usr/lib/ghc-$(GHC6_VERSION)/haddock/ instead of
      /usr/lib/ghc6-$(GHC6_VERSION)/haddock/
    + Add calls to dh_haskell_depends in the right places

 -- Joachim Breitner <nomeata@debian.org>  Mon, 23 Feb 2009 17:23:48 +0100

haskell-devscripts (0.6.15+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Update hlibray.mk to latest version from kaol. Does not yet close
    #516241, as that bug also needs to be fixed for dh_haskell_install

 -- Joachim Breitner <nomeata@debian.org>  Fri, 20 Feb 2009 18:21:12 +0100

haskell-devscripts (0.6.15+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Add a manpage for each command.  Closes: #512554.
  * Include hlibrary.mk (CDBS class).  Closes: #462482.
  * Include dh addon.
  * Use debhelper 7.
  * Remove references to Arjan home.
  * Include dh_haskell_clean.
  * dh_haskell.pod:
    - Don't reference to cabalDebianTemplate.  Thanks to Jeremy Shaw
      <jeremy@n-heptane.com>.  Closes: #514129.
    - Document dh_haskell_depends on how-to.  Thanks to Chris Lamb
      <lamby@debian.org>. Closes: #502937.
  * dh_haskell_configure:
    - Use --extra-include-dirs to add Hugs includes not considered by
      hsc2hs.  Thanks to John Goerzen <jgoerzen@complete.org>.
      Closes: #513397.
    - Disable ghci when building for profiling.
  * Dh_Haskell.pm:
    - use more relaxed rule for haddock.  Thanks to John Goerzen
      <jgoerzen@complete.org>.  Closes: #512555.
    - Support for more than one version of a ghc-pkg package.
    - Do not consider user packages.
  * postinst-ghc: Do not generate GHCi libraries in postinst.  Packages
    should include them.  Thanks to Kummar Apaiah <akumar@ee.iitm.ac.in>
    and Arjan Oosting <arjan@debian.org>.  Closes: #455049.
  * dh_haskell_prep: Uses + instead of -999 on dependencies.  Thanks to
    Kari Pahula <kaol@debian.org>.  Closes: #511857.
  * docs/: Remove empty docs dir.
  * debian/control: Include ${misc:Depends}.
  * debian/install: Use debian/install instead of
    debian/haskell-devscripts.install
  * debian/copyright: Reference GPL-2 and GPL-3 instead of GPL.
  * debian/docs: Remove empty docs file.

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Thu, 05 Feb 2009 13:12:27 -0200

haskell-devscripts (0.6.15) unstable; urgency=high

  * Set urgengy to high as it fixes a grave bug.
  * Use the --print-libdir instead of the version number of the Debian package
    to determine the GHC library directory  (Closes: #512063)

 -- Arjan Oosting <arjan@debian.org>  Sat, 17 Jan 2009 14:20:00 +0100

haskell-devscripts (0.6.14) unstable; urgency=low

  * Handle multiple older versions in postinst-ghc template.
    (Closes: #496651).
  * Don't forget package description files given on the command line
    when dh_haskell_depends can not find one itself.
    Thanks Marco Túlio Gontijo e Silva (Closes: #501697)
  * Fix man-page to mention packages which actually use haskell-devscripts
    (Closes: 497059)

 -- Arjan Oosting <arjan@debian.org>  Tue, 26 Aug 2008 17:52:27 +0200

haskell-devscripts (0.6.13) unstable; urgency=medium

  * Apply patch from Chris Lamb to prevent other packages
    from FTBFS (Closes: #491506)
  * debian/control:
    - Bump Standards-Version to 3.8.0. No changes needed.
  * Raise urgency to get this small fix in Lenny

 -- Arjan Oosting <arjan@debian.org>  Sat, 19 Jul 2008 20:52:13 +0200

haskell-devscripts (0.6.12) unstable; urgency=low

  * dh_haskell_configure:
    - Pass all enable-* en disable-* arguments as options through to
      ./setup configure.
      This can be used to disable optimization on certain architectures
      (dh_haskell_configure disable-optimization) or to always build a
      vanilla library (dh_haskell_configure enable-library-vanilla)
      (Closes: #478700)

 -- Arjan Oosting <arjan@debian.org>  Thu, 01 May 2008 14:22:19 +0200

haskell-devscripts (0.6.11) unstable; urgency=low

  * dh_haskell_depends:
    - Change the way the next upstream version of a native debian package
      is determined. (Closes: #473549)
    - Fix the generation of the ${haskell:Depends} substvar for profiling
      packages. (Closes: #474921)

 -- Arjan Oosting <arjan@debian.org>  Tue, 08 Apr 2008 06:49:14 +0200

haskell-devscripts (0.6.10) unstable; urgency=low

  * dh_install:
    - Make sure where are in the right directory when dh_install is
      called.
    - Remove all non profiling files from the generated profiling
      packages, (Closes: #472654)

 -- Arjan Oosting <arjan@debian.org>  Tue, 25 Mar 2008 23:26:17 +0100

haskell-devscripts (0.6.9) unstable; urgency=low

  * prerm-ghc:
    - Do not fail when ghc-pkg unregister during deconfigure of
      remove. This way packages generated wich haskell-devscripts which
      ghc-pkg registration has been broken in some way can still be
      removed.

 -- Arjan Oosting <arjan@debian.org>  Sat, 22 Mar 2008 21:06:46 +0100

haskell-devscripts (0.6.8) unstable; urgency=low

  * debian/control:
    - Let the Vcs-* fields point to the trunk branch.
  * dh_haskell_install: Do not prune all non-existant directories from the
    install-pkg-config file. Only prune references to non-existant
    directories in /usr/lib/haskell-packages/ghc6/ (which should have been
    shipped with the generated packages otherwise) and give a warning for
    other non-existing directories.

 -- Arjan Oosting <arjan@debian.org>  Sat, 22 Mar 2008 20:39:46 +0100

haskell-devscripts (0.6.7) unstable; urgency=low

  * dh_haskell_build:
    - The new Cabal version 1.2 generates the .setup-config as
      dist/setup-config so try this location as well.

 -- Arjan Oosting <arjan@debian.org>  Sun, 27 Jan 2008 17:54:01 +0100

haskell-devscripts (0.6.6) unstable; urgency=low

  * dh_haskell_install:
    - Write the correct path to the generated documentation in the package
      description file.

 -- Arjan Oosting <arjan@debian.org>  Sun, 13 Jan 2008 23:29:00 +0100

haskell-devscripts (0.6.5) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.7.3. No changes needed.
    - Add Vcs-Svn adn Vcs-Browser fields.
  * dh_haskell_prep:
    - Don't add ghc6-prof-prof to the ${haskell:Depends} generated for
      profiling libraries. Thanks Kari Pahula (Closes: #460558)

 -- Arjan Oosting <arjan@debian.org>  Sun, 13 Jan 2008 18:03:53 +0100

haskell-devscripts (0.6.4) unstable; urgency=low

  * dh_haskell_build:
    - With Cabal version >= 1.2 dh_haskell_builds accepts the command line
      arguments 'PROG-option=OPT', 'PROG-options=OPTS',
      'html-location=URL', 'executables', 'css=PATH', 'hyperlink-source'
      and 'hscolour-css=PATH' which are passed as options to the calls to
      ./setup build and ./setup haddock
  * dh_haskell_configure:
    - With Cabal version >= 1.2 dh_haskell_configure accepts the command
      line arguments 'configure-option=OPT', 'PROG-option=OPT' and
      'PROG-options=OPTS' which are passed as options to the call to
     ./setup configure
  * haskell_install:
    - Rewrite the code handling the package description file. Now it
      should work with Cabal version >= 1.2 / GHC 6.8.2. (Closes: #460138)
    - Remove LICENSE files installed by Cabal and empty documentation
      directories.
    - For Cabal >= 1.2 adjust the paths to the generated documentation
      in some regelur expressions.

 -- Arjan Oosting <arjan@debian.org>  Sun, 13 Jan 2008 06:32:57 +0100

haskell-devscripts (0.6.3) unstable; urgency=low

  * dh_haskell_install:
    - The new Cabal version 1.2 generates the .installed-pkg-config as
      dist/installed-pkg-config so try this location as well.
      (Closes: #460138)

 -- Arjan Oosting <arjan@debian.org>  Fri, 11 Jan 2008 00:30:47 +0100

haskell-devscripts (0.6.2) unstable; urgency=low

  * dh_haskell_install: Prepend the package build directory before the
    installation directory of generated API documentation. This will fix
    several FTBFS bugs in other packages. (Closes: #458872, #458875)

 -- Arjan Oosting <arjan@debian.org>  Thu, 03 Jan 2008 23:51:51 +0100

haskell-devscripts (0.6.1) unstable; urgency=low

  * dh_haskell_*:
    - Use doit subroutine from Debian::Debhelper instead of safesystem
      from Dh_Haskell. This also fixes a bug where dh_haskell_build does
      not pass it's arguments to a call to dh_haskell_configure.
  * dh_haskell_builds:
    - Now accepts command line argument "hoogle" which is passed through
      to ./setup haddock as "./setup haddock --hoogle".
  * dh_haskell_configure:
    - Now accepts various with-...= and arg-...= command line arguments
      which are passed through to ./setup configure as options.
    - Add a little pod2man documentation.
  * Dh_Haskell.pm:
    - Remove safesystem subroutine.

 -- Arjan Oosting <arjan@debian.org>  Wed, 02 Jan 2008 06:50:02 +0100

haskell-devscripts (0.6.0) unstable; urgency=low

  * New version with the following features:
    - Separate build directories for each package haskell-devscripts
      handles. Users can properly split the monolithic dh_haskell call
      into a configure (dh_haskell_configure), build (dh_haskell_build)
      and install (dh_haskell_install) step.
    - Generates haddock generated API documentation, if the debian/control
      files contains a package section which name matches
      "haskell|libghc6)-.+-doc". The generated documentation is then
      install in that package.
    - Adds a new dh_haskell_depends command which generates the
      ${haskell:Depends} substitution variable for each library package.
      + For GHC6 libraries and GHC6 profiling libraries package this
        substitution variable contains a dependency on respectively ghc6
        or ghc6-prof AND the (profiling) libraries the library depends on.
      + For Hugs libraries it only contains a dependency on hugs.
  * Changes to generate haddock API documentation:
    - Change Dh_haskell.pm to recognize packages which match
      "haskell|libghc6)-.+-doc" as 'handled' packages.
    - dh_haskell_build generates haddock API documentation.
    - dh_haskell_install installs haddock API documentation.
  * Stop shipping empty directories in generated libghc6-* packages:
    - dh_haskell_install removes directories which are empty after the
      installation step.
  * Add dh_haskell_depends script to package.
  * Drop all code handling GHC 5 or nhc98 as Debian does not ship GHC5
    anymore, and the code will most likely be broken now anyway:
    - Cleanup dh_haskell_prep.
    - Cleanup Dh_Haskell.pm.
  * debian/control:
    - Add xutils-dev to the Depends as dh_haskell_configure needs lndir.
    - Add dctrl-tools to the Depends as dh_haskell_depends needs
      grep-dctrl.
    - Make myself the official maintainer and add John to the uploaders.
  * {postinst-ghc, prerm-ghc}:
    - Suppress confusing message from ghc-pkg when removing or upgrading
      package. Thanks Chris Lamb (Closes: #457686)

 -- Arjan Oosting <arjan@debian.org>  Sun, 30 Dec 2007 18:07:23 +0100

haskell-devscripts (0.5.19) unstable; urgency=low

  * Make some cosmetic changes to the POD source of the man page(s) and
    remove the unused and duplicate POD sources from dh_haskell_prep and
    dh_haskell_install.
  * Only build the setup file if no executable setup file exists.
    (Closes: #441100)

 -- Arjan Oosting <arjan@debian.org>  Sun, 23 Sep 2007 19:16:24 +0200

haskell-devscripts (0.5.18) unstable; urgency=low

  * Rewrite the postinst-ghc and prerm-ghc scripts to respectively hide
    and expose previous installed versions of a package.
  * Update the prerm-ghc script to ignore error when it unregisters a
    package. (Closes: 432972)
  * debian/control: the postinst-ghc and prerm-ghc use ghc-pkg syntax
    which was introduced in GHC 6.4. Adjust the Depends line accordingly.
  * debian/rules: cleanup rules file.
  * debian/links: Create links pointing the man pages from the different
    dh_haskell_* commands to the main dh_haskell command man page.

 -- Arjan Oosting <arjan@debian.org>  Wed, 25 Jul 2007 22:18:58 +0200

haskell-devscripts (0.5.17) unstable; urgency=low

  * Use the cabal package name as directory in /usr/lib/hugs/packages.

 -- Arjan Oosting <arjan@debian.org>  Sun, 15 Apr 2007 18:09:16 +0200

haskell-devscripts (0.5.16) unstable; urgency=low

  * Install hugs packages into /usr/lib/hugs/packages which is wat the
    Hugs release of September 2006 expects.

 -- Arjan Oosting <arjan@debian.org>  Sun, 15 Apr 2007 17:24:00 +0200

haskell-devscripts (0.5.15) unstable; urgency=high

  * Set urgency high as the upload fixes an RC bug.
  * Fix the build of libghc-*-dev packages when no libghc-*-prof packages
    should be build. (Closes: #399127)

 -- Arjan Oosting <arjan@debian.org>  Sat, 18 Nov 2006 10:19:04 +0100

haskell-devscripts (0.5.14) unstable; urgency=medium

  * Set urgency to medium to get fixed version into etch.
  * debian/control:
    - Add myself to Uploaders.
    - Bbump Standards-Version. No changes needed.
  * dh_haskell_buildinst: fix building of profiling packages.

 -- Arjan Oosting <arjan@debian.org>  Fri, 10 Nov 2006 21:43:08 +0100

haskell-devscripts (0.5.13) unstable; urgency=low

  * Thanks to Arjan Oosting for the following patches:
  * Move debhelper to Build-Depends as suggested by lintian.
  * Change she-bang for dh_haskell to /bin/sh as does not use any
    bashims.
  * Replace dh_haskell_buildinst with simple shell script to decrease code
    duplicity.
  * Introduce separate Perl module which contains the code shared between
    the different dh_haskell tools.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 11:06:09 -0500

haskell-devscripts (0.5.12) unstable; urgency=low

  * New support for building profiling packages.  Thanks to Jeremy Shaw
    for this.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Aug 2006 17:58:47 -0500

haskell-devscripts (0.5.11) unstable; urgency=low

  * Now give version when deregistering packages in postinst.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 25 Oct 2005 05:58:47 -0500

haskell-devscripts (0.5.10) unstable; urgency=low

  * Fixed a bug in dh_haskell when building multiple packages,
    introduced with the split in 0.5.7.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 29 Aug 2005 06:06:25 -0500

haskell-devscripts (0.5.9) unstable; urgency=low

  * Applied patch from Florian Ragwitz to autodetect Setup.lhs vs.
    Setup.hs.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 23 Aug 2005 05:35:35 -0500

haskell-devscripts (0.5.8) unstable; urgency=low

  * Fixed a few bugs in the new system.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Aug 2005 03:41:05 -0500

haskell-devscripts (0.5.7) unstable; urgency=low

  * Added dh_haskell_{prep,build,install}.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Aug 2005 02:46:04 -0500

haskell-devscripts (0.5.6) unstable; urgency=low

  * Tightened up Depends on libghc6-cabal-dev for interface consistency.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 28 Mar 2005 09:00:47 -0600

haskell-devscripts (0.5.5) unstable; urgency=low

  * Adjusted Depends so ghc 6.4 can be considered to fulfill the requirement
    for having Cabal.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 28 Mar 2005 08:56:48 -0600

haskell-devscripts (0.5.4) unstable; urgency=low

  * Use *.cabal files instead of Setup.description.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 27 Jan 2005 12:35:54 -0600

haskell-devscripts (0.5.3) unstable; urgency=low

  * Updated for new cabal.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 17 Jan 2005 16:49:41 -0600

haskell-devscripts (0.5.2) unstable; urgency=low

  * Make dep on libch6-cabal-dev versioned; older versions have bugs that
    can cause us trouble.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Nov 2004 11:31:29 -0600

haskell-devscripts (0.5.1) unstable; urgency=low

  * Added support for Hugs.
  * Added clean target example.
  * Pointed to HUnit package for example.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  6 Oct 2004 16:16:50 -0500

haskell-devscripts (0.5.0) unstable; urgency=low

  * Initial Release.  Closes: #275218.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  6 Oct 2004 09:46:14 -0500
